[Rainmeter]

Author=viken
Update=100



[Variables]
MainText=3,173,243
CurrentText=0,0,0,255
IndicatorWidth=50
IndicatorColor=45,190,255
TextY=1
;Set to 1 to display both top and bottom rounded portions, 2 to show only the top, and 3 to show only the bottom.
Indicator=1

[MeasureWeek]
Measure=Time
Format="%a"
Substitute="Mon":"понедельник","Tue":"вторник","Wed":"среда","Thu":"четверг","Fri":"пятница","Sat":"суббота","Sun":"воскресенье"

[MeterWeek]
Meter=STRING
MeasureName=MeasureWeek
X=960
Y=27
H=20
W=160
StringStyle=bold
StringAlign=CENTER
FontColor=#MainText#
FontSize=13
FontFace=Neuropol
StringEffect=Shadow
AntiAlias=1

[TextStyle]
FontFace=Neuropol
StringEffect=Shadow
FontSize=12
FontColor=#MainText#
AntiAlias=1
H=16
W=16
StringAlign=Center
X=[cSpace]r
DynamicVariables=1
Y=(#TextY#+5)

[mYear]
;Retreve year with century
Measure=TIME
Format=%Y

[mMonth]
;Gets current month without leading zero. ex: 8
Measure=TIME
Format=%#m

[mDay]
;Gets current day without leading zero. ex 8
Measure=TIME
Format=%#d

[mDayCount]
Measure=CALC
Formula=((mMonth=1)||(mMonth=12)||(mMonth=8)||(mMonth=7)||(mMonth=5)||(mMonth=3)||(mMonth=10))*31+(mMonth=2)*(28+((mYear%4)=0))+((mMonth=4)||(mMonth=6)||(mMonth=9)||(mMonth=11))*30

[cSpace]
Measure=Calc
Formula=FLOOR(#SCREENAREAWIDTH#/mDayCount)

[cDay1]
Meter=String
MeterStyle=TextStyle
Text="01"
X=(#IndicatorWidth#/2)

[cDay2]
Meter=String
MeterStyle=TextStyle
Text="02"

[cDay3]
Meter=String
MeterStyle=TextStyle
Text="03"

[cDay4]
Meter=String
MeterStyle=TextStyle
Text="04"

[cDay5]
Meter=String
MeterStyle=TextStyle
Text="05"

[cDay6]
Meter=String
MeterStyle=TextStyle
Text="06"

[cDay7]
Meter=String
MeterStyle=TextStyle
Text="07"

[cDay8]
Meter=String
MeterStyle=TextStyle
Text="08"

[cDay9]
Meter=String
MeterStyle=TextStyle
Text="09"

[cDay10]
Meter=String
MeterStyle=TextStyle
Text="10"

[cDay11]
Meter=String
MeterStyle=TextStyle
Text="11"

[cDay12]
Meter=String
MeterStyle=TextStyle
Text="12"

[cDay13]
Meter=String
MeterStyle=TextStyle
Text="13"

[cDay14]
Meter=String
MeterStyle=TextStyle
Text="14"

[cDay15]
Meter=String
MeterStyle=TextStyle
Text="15"

[cDay16]
Meter=String
MeterStyle=TextStyle
Text="16"

[cDay17]
Meter=String
MeterStyle=TextStyle
Text="17"

[cDay18]
Meter=String
MeterStyle=TextStyle
Text="18"

[cDay19]
Meter=String
MeterStyle=TextStyle
Text="19"

[cDay20]
Meter=String
MeterStyle=TextStyle
Text="20"

[cDay21]
Meter=String
MeterStyle=TextStyle
Text="21"

[cDay22]
Meter=String
MeterStyle=TextStyle
Text="22"

[cDay23]
Meter=String
MeterStyle=TextStyle
Text="23"

[cDay24]
Meter=String
MeterStyle=TextStyle
Text="24"

[cDay25]
Meter=String
MeterStyle=TextStyle
Text="25"

[cDay26]
Meter=String
MeterStyle=TextStyle
Text="26"

[cDay27]
Meter=String
MeterStyle=TextStyle
Text="27"

[cDay28]
Meter=String
MeterStyle=TextStyle
Text="28"

[cHide29]
Measure=Calc
Formula=mDayCount<29

[cDay29]
Meter=String
MeterStyle=TextStyle
Text="29"
Hidden=[cHide29]

[cHide30]
Measure=Calc
Formula=mDayCount<30

[cDay30]
Meter=String
MeterStyle=TextStyle
Text="30"
Hidden=[cHide30]

[cHide31]
Measure=Calc
Formula=mDayCount<31

[cDay31]
Meter=String
MeterStyle=TextStyle
Text="31"
Hidden=[cHide31]

[mIndic]
Meter=Image
SolidColor=#IndicatorColor#
H=16
W=#IndicatorWidth#
X=([cSpace]*([mDay]-1))
Y=5
DynamicVariables=1

[cDay]
Measure=Calc
Formula=mDay/100
Substitute="0.":""

[mCurrent]
Meter=string
MeasureName=cDay
NumOfDecimals=2
MeterStyle=TextStyle
FontColor=#CurrentText#
X=(#IndicatorWidth#/2)r

[cQuarterRound]
Measure=Calc
Formula=0.25

[cHideBot]
Measure=Calc
Formula=#Indicator#=2
IfAboveValue=0
IfAboveAction=!RainmeterHideMeterGroup BotRound

[mLeftRound]
Meter=Roundline
MeasureName=cQuarterRound
LineColor=#IndicatorColor#
LineLength=5
StartAngle=1.570796326795
Solid=1
AntiAlias=1
H=10
W=10
Y=(-5-#TextY#)R
X=(-#IndicatorWidth#/2)r
Group=BotRound

[mSpace]
Meter=Image
SolidColor=#IndicatorColor#
H=5
W=(#IndicatorWidth#-10)
Y=-5R
X=5r
Group=BotRound

[mRightRound]
Meter=Roundline
MeterStyle=mLeftRound
StartAngle=0
Y=-5r
X=-5R

[cHideTop]
Measure=Calc
Formula=#Indicator#=3
IfAboveValue=0
IfAboveAction=!RainmeterHideMeterGroup TopRound

[mLeftRound2]
Meter=Roundline
MeasureName=cQuarterRound
LineColor=#IndicatorColor#
LineLength=5
StartAngle=3.14159265359
Solid=1
AntiAlias=1
H=10
W=10
X=([cSpace]*([mDay]-1))
DynamicVariables=1
Group=TopRound

[mSpace2]
Meter=Image
SolidColor=#IndicatorColor#
H=5
W=(#IndicatorWidth#-10)
X=5r
Group=TopRound

[mRightRound2]
Meter=Roundline
MeterStyle=mLeftRound2
StartAngle=-1.570796326795
X=-5R


[ImageMeter]
Meter=Image
X=-650
Y=-10
W=3150
H=70
ImageName=HUGE_RESOURCES\[ImageNumberCalc].png
DynamicVariables=1

[ImageNumberCalc]
Measure=Calc
Formula=Counter % 32
Substitute=".00000":""
